Get attribute
const url = 'https://catalog.shopgate.io/v1/merchants/example/attributes/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://catalog.shopgate.io/v1/merchants/example/attributes/exampleGet attribute information
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Locale code to change the language of the name, descriptions, properties and media
Responses
Section titled “Responses”Attribute information
object
object
Type of the attribute. It specifies which type the attribute value will have.
The usage of this attribute
Name of the attribute which will be shown to the customer. It’s saved in the language of the passed locale.
object
Unique identifier for the attribute value
Sequence id of the order of the values. The lowest number is at the top and the highest number is at the bottom.
Name of the attribute value which will be shown to the customer. It’s saved in the language of the passed locale.
object
Example
{ "code": "color", "type": "text", "use": "option", "name": "Color", "externalUpdateDate": "2018-12-15T00:00:23.114Z", "values": [ { "code": "black", "sequenceId": 1, "name": "Black", "swatch": { "type": "color", "value": "#000000" } }, { "code": "white", "sequenceId": 2, "name": "White", "swatch": { "type": "color", "value": "#ffffff" } } ]}Validation error
object
object
object
object
The parameter-field, that failed to validate, like “userId”
The value, that was sent, like “xxx”
Machine readable error code
Human readable error code
object
object
Machine readable error code
Human readable error code
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant or attribute not found
object
Example
{ "code": "NotFound", "message": "Merchant not found"}
